Tomcat Agent for Tibco Iprocess on AIX not launching

Document ID : KB000111261
Last Modified Date : 21/08/2018
Show Technical Document Details
Introduction:

Using  9.1.7 APM agent version of Tomcat and Java 1.5 on AIX 7 and higher,  the APM agent works correctly.
but using 10.7 GA APM agent version (no HF or SP on top) with Java 1.5.x on AIX 7 (with agentnoredef) is not possible
the APM agent is not launching and therefore not logging.

Get this exception : 
===============
Exception in thread "main" java.lang.UnsupportedClassVersionError: (com/wily/introscope/api/instrument/JavaAgent) bad major version at offset=6 
at java.lang.ClassLoader.defineClassImpl(Native Method) 
at java.lang.ClassLoader.defineClass(ClassLoader.java:267) 
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:151) 
at java.net.URLClassLoader.defineClass(URLClassLoader.java:602) 
at java.net.URLClassLoader.access$400(URLClassLoader.java:126) 
at java.net.URLClassLoader$ClassFinder.run(URLClassLoader.java:1057) 
at java.security.AccessController.doPrivileged(AccessController.java:414) 
at java.net.URLClassLoader.findClass(URLClassLoader.java:494) 
at java.lang.ClassLoader.loadClass(ClassLoader.java:651) 
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:349) 
at java.lang.ClassLoader.loadClass(ClassLoader.java:617) 
at sun.instrument.InstrumentationImpl.loadClassAndCallPremain(InstrumentationImpl.java:152) 
Fatal error: processing of -javaagent failed 
</verbosegc>

Environment:
Agent version 10.7 of Tomcat . 
Java 1.5.x 
AIX 7.1
Tomcat 6.0.x
Instructions:

APM 10.x Java agent doesn't support Java 1.5 apps with Tomcat 6.0.x on AIX 7.1.